
Colony - Enhancement #798

get all the library inti's and functions to behave

10/21/2009 07:08 PM - Brad Neuman

Status: Assigned Start date: 10/21/2009

Priority: Normal Due date:  

Assignee: Brad Neuman % Done: 30%

Category: Library Estimated time: 0.00 hour

Target version:    

Description

multiple init calls should not cause undefined behavior

Related issues:

Related to Colony - Bug #562: Fix init functions Duplicate 09/04/2009

Blocked by Colony - Bug #790: XBee/Wireless Initialization Assigned 10/19/2009

History

#1 - 10/21/2009 07:08 PM - Brad Neuman

- % Done changed from 0 to 30

Still need to deal with orbs, they are complicated because there are multiple init states.

Also, need to figure out a consistent way to deal with funciton like usb_getc which return a char

#2 - 10/21/2009 07:09 PM - Brad Neuman

not doing lcd, since we don't have one

#3 - 10/21/2009 07:53 PM - Brad Neuman

can't fix:

encoder_get_v

Also, need to get orbs working and then have buzzer / orbs fail if hte other is inited

#4 - 10/21/2009 08:18 PM - Brad Neuman

cant do analog8 or analog10 either, need to think about these

#5 - 10/22/2009 12:58 AM - David Schultz

Multiple xbee init works if you call terminate at end of use before initing again.  Otherwise it will get stuck in an infinite loop waiting for a response that

won't come.  We should probably make the call return an error if it waits for over a second with no response.

What's the problem with usb_getc?

#6 - 11/05/2009 02:35 PM - David Schultz

- Category set to Library

#7 - 10/02/2010 07:13 PM - Alex Zirbel

- Priority changed from High to Normal

03/20/2024 1/2



Brad, is this still an issue?
